Subject: FW: [DNSOP] Tor frustration

From: Hugo Maxwell Connery <[email-masked]>
Date: Fri, 17 Jul 2015 16:52:42 +0000

Hi Suzanne,

Your encouragement is encouraging :)

I will:

1. create a tor hidden service (which uses the non-DNS resolution) and host at it RFC 6761,
  with a little change ;)
2. re-post my suggestion with a link to said site

.. such that people can see how it works on the wire.

It was a Samba core person who introduced me to
"there is nothing more relevant that on-the-wire understanding".

It is where I go, whenever I am mystified.  There is no better method of understanding.
It must be done and seen by the curious; scientific method; reproducible results;
trust no one; do it yourself.

Hugo Connery
--
Head of IT, DTU Environment, http://www.env.dtu.dk
"You cant operate a global communications network without encryption"  M Blaze, B Schneier et al.

PS: expect a response tomorrow about 11:00 UTC+2.
________________________________________
From: Suzanne Woolf [[email-masked]]
Sent: Friday, 17 July 2015 18:14
To: Hugo Maxwell Connery
Subject: Re: [DNSOP] Tor frustration

Hugo,

This is indeed very helpful advice. Could you also post it to [email-masked]? Not everyone taking part in the IETF Last Call discussion, which I think is your main concern right now, is on this mailing list or took part in the WG deliberations about .onion.

Understood that it’s frustrating to have to go through what sounds like the same discussion over again.

thanks,
Suzanne

> On Jul 17, 2015, at 11:00 AM, Hugo Maxwell Connery <[email-masked]> wrote:
>
> For those who are trying to provide their comments to the
> 6761 discussions, I highly recommend:
>
> 1. go to https  torproject org  and download the client
> 2. Have wireshark / ethereal
> 3. Start 2 and then 3 and see what happens on the wire.
>
> You can also access all of the design discussion and materials
> and source code for Tor at torproject org.
>
> And their funding and so much more.  They are a model of transparency.
>
> (Sorry; there have been many comments which displayed a lack
> of understanding of Tor from persons whose comments seem deserving
> of respect but seem under-informed).
>
> /Hugo
>
> _______________________________________________
> DNSOP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dnsop